A user can only execute this action if he is a member of an authorizing role which satisfies one of the following conditions: The authorizing role has direct or indirect userManagement rights for the role to which a member is deleted The authorizing role has indirect roleManagement rights for the role to which a member is deleted The authorizing role is the role from which a member is removed, and the removed member is the user itself
accessBearerAuth In the value field below, fill in the access token. It has a 10 minutes validity period. A valid token can be obtained via the /accesstoken endpoint (call), AFTER authorization with refreshBearerAuth and the refresh token.
In: header
Id of the role of the deleted member relation
0 <= valueId of the deleted member relation
0 <= valueapplication/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/role/0/member/0"{ "deletedNodeIds": [], "deletedRelationIds": []}Update an existing role PUT
A user can only execute this action if he is a member of an autorizing role which has *indirect* roleManagement rights for the updated role.
Collect member relations (replaced by POST /v1/role/{roleId}/member/query) GET
Get all (or some of) the member relations which start from a role where the user has (either directly or indirectly) userManagement rights, and get those member relations involding the user itself. The POST /v1/role/{roleId}/member/query is a preferable alternative, which can better handle complex filters.